<?php
/**
 * Model object generated by: Skipper (http://www.skipper18.com)
 * Do not modify this file manually.
 */

namespace App\AbstractModels;

use Illuminate\Database\Eloquent\Model;

abstract class AbstractSpermogramme extends Model
{
    /**  
     * Primary key type.
     * 
     * @var string
     */
    protected $keyType = 'bigInteger';
    
    /**  
     * The model's default values for attributes.
     * 
     * @var array
     */
    protected $attributes = [
        'ph_norme' => '7.0-8.0',
        'volume_ejaculat_unite' => 'ml',
        'volume_ejaculat_norme' => '1.5-6.0ml',
        'leucocytes_normale' => '1000000/ml',
        'cellules_rondes_unite' => '% des spermatozoides',
        'cellules_rondes_normale' => '3%',
        'numeration_normale' => '20-200millions/ml',
        'numeration_unite' => 'ml',
        'mobilite_apres_une_heure_normale' => '>40',
        'mobilite_apres_quatre_heure_normale' => '>40',
        'mobilite_unite' => '%'
    ];
    
    /**  
     * The attributes that should be cast to native types.
     * 
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
        'created_at' => 'datetime',
        'updated_at' => 'datetime',
        'ph' => 'string',
        'ph_norme' => 'string',
        'volume_ejaculat' => 'string',
        'volume_ejaculat_unite' => 'string',
        'volume_ejaculat_norme' => 'string',
        'agglutination_spontanee' => 'string',
        'leucocytes' => 'string',
        'leucocytes_normale' => 'string',
        'cellules_rondes' => 'string',
        'cellules_rondes_unite' => 'string',
        'cellules_rondes_normale' => 'string',
        'numeration' => 'string',
        'numeration_normale' => 'string',
        'numeration_unite' => 'string',
        'mobilite_apres_une_heure' => 'string',
        'mobilite_apres_une_heure_normale' => 'string',
        'mobilite_apres_une_quatre_heure' => 'string',
        'mobilite_apres_quatre_heure_normale' => 'string',
        'mobilite_unite' => 'string',
        'vitalite' => 'string',
        'aspect' => 'string',
        'couleur' => 'string',
        'spermocytogramme_nb_spermatozoide_normaux' => 'integer',
        'spermocytogramme_nb_spermatozoide_normaux_unite' => 'integer',
        'spermocytogramme_anomalie_tete' => 'integer',
        'spermocytogramme_macrocephalie' => 'integer',
        'spermocytogramme_effilee' => 'integer',
        'spermocytogramme_ronde' => 'integer',
        'spermocytogramme_piece_intermediaire' => 'integer',
        'spermocytogramme_reste_cytoplasme' => 'integer',
        'spermocytogramme_grele' => 'integer',
        'spermocytogramme_flagelle' => 'integer',
        'spermocytogramme_absent' => 'integer',
        'spermocytogramme_ecourte' => 'integer',
        'spermocytogramme_enroule' => 'integer',
        'spermocytogramme_angulaire' => 'integer',
        'conclusion' => 'string',
        'biologiste' => 'string',
        'antibiogramme_id' => 'integer'
    ];
    
    /**  
     * The guarded property should contain an array of attributes that you do not want to be mass assignable.
     * 
     * @var array
     */
    protected $guarded = [];
    
    public function antibiogramme()
    {
        return $this->belongsTo('\App\Antibiogramme', 'antibiogramme_id', 'id');
    }
}
